### Hierarchy

- TableHeaderItem

## Index

### Constructors

- constructor

### Properties

- _ascending
- _title
- ariaSortLabel
- className
- colSpan
- data
- filterCount
- filterData
- filterFooter
- filterTemplate
- formatSortLabel
- metadata
- rowSpan
- sortable
- sorted
- style
- template
- visible

### Accessors

- ascending
- descending
- title

### Methods

- compare
- filter

## Constructors

### constructor

- new TableHeaderItem(rawData: any): TableHeaderItem

- - Defined in src/table/table-header-item.class.ts:238

  #### Parameters

  - ##### Optional rawData: any

  #### Returns TableHeaderItem

## Properties

### Protected _ascending

_ascending: boolean = true

- Defined in src/table/table-header-item.class.ts:208

### Private _title

_title: string

- Defined in src/table/table-header-item.class.ts:238

### ariaSortLabel

ariaSortLabel: string

- Defined in src/table/table-header-item.class.ts:130

### className

className: string

- Defined in src/table/table-header-item.class.ts:50

### colSpan

colSpan: number = 1

- Defined in src/table/table-header-item.class.ts:44

### data

data: any

- Defined in src/table/table-header-item.class.ts:85

### filterCount

filterCount: number = 0

- Defined in src/table/table-header-item.class.ts:33

### filterData

filterData: any

- Defined in src/table/table-header-item.class.ts:201

### filterFooter

filterFooter: TemplateRef<any>

- Defined in src/table/table-header-item.class.ts:189

### filterTemplate

filterTemplate: TemplateRef<any>

- Defined in src/table/table-header-item.class.ts:184

### formatSortLabel

formatSortLabel: function

- Defined in src/table/table-header-item.class.ts:135

#### Type declaration

- - (label: string, staticLabel: string): string

  - #### Parameters

    - ##### label: string

    - ##### Optional staticLabel: string

    #### Returns string

### metadata

metadata: any

- Defined in src/table/table-header-item.class.ts:91

### rowSpan

rowSpan: number = 1

- Defined in src/table/table-header-item.class.ts:39

### sortable

sortable: boolean = true

- Defined in src/table/table-header-item.class.ts:25

### sorted

sorted: boolean = false

- Defined in src/table/table-header-item.class.ts:18

### style

style: object

- Defined in src/table/table-header-item.class.ts:58

#### Type declaration

### template

template: TemplateRef<any>

- Defined in src/table/table-header-item.class.ts:125

### visible

visible: boolean = true

- Defined in src/table/table-header-item.class.ts:12

## Accessors

### ascending

ascending:

- Defined in src/table/table-header-item.class.ts:64
- Defined in src/table/table-header-item.class.ts:67

### descending

descending:

- Defined in src/table/table-header-item.class.ts:75
- Defined in src/table/table-header-item.class.ts:78

### title

title:

- Defined in src/table/table-header-item.class.ts:210
- Defined in src/table/table-header-item.class.ts:234

## Methods

### compare

- compare(one: TableItem, two: TableItem): number

- - Defined in src/table/table-header-item.class.ts:270

  #### Parameters

  - ##### one: TableItem

  - ##### two: TableItem

  #### Returns number

### filter

- filter(item: TableItem): boolean

- - Defined in src/table/table-header-item.class.ts:299

  #### Parameters

  - ##### item: TableItem

  #### Returns boolean

Generated using TypeDoc